Subject: Re: [PATCH v5 iwl-next 3/6] ice: rename verify_cached to has_ready_bitmap

From: Simon Horman <[email-masked]>
Date: Mon, 15 Jan 2024 10:36:57 +0000

On Mon, Jan 08, 2024 at 01:47:14PM +0100, Karol Kolacinski wrote:
> From: Jacob Keller <[email-masked]>
> 
> The tx->verify_cached flag is used to inform the Tx timestamp tracking
> code whether it needs to verify the cached Tx timestamp value against
> a previous captured value. This is necessary on E810 hardware which does
> not have a Tx timestamp ready bitmap.
> 
> In addition, we currently rely on the fact that the
> ice_get_phy_tx_tstamp_ready() function returns all 1s for E810 hardware.
> Instead of introducing a brand new flag, rename and verify_cached to
> has_ready_bitmap, inverting the relevant checks.

>From the above I understand what this patch does.
But not why this change is desirable.
I think it would be useful to state that.

Also, perhaps it just me, but it seems that
renaming verify_cached and weeding out assumptions
about the return value of ice_get_phy_tx_tstamp_ready()
are separate, albeit related changes:
I might have gone for two patches instead of one.

> Signed-off-by: Jacob Keller <[email-masked]>
> Signed-off-by: Karol Kolacinski <[email-masked]>
> Reviewed-by: Jacob Keller <[email-masked]>

...